Package com.sas.services.information.metadata

# Interface ApplicationInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`, `SoftwareComponentInterface`

All Known Implementing Classes:
  `Application`

public interface ApplicationInterface extends SoftwareComponentInterface

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,ApplicationAuthorization>`
  `getActions()`
  Returns a map of all actions defined for the application.
  `ApplicationInterface`
  `getParentApplication()`
  Returns the parent application of this application or null if no parent is defined.
  `boolean`
  `isGridCapable()`
  Returns true if application is marked as a grid capable application.
  `void`
  `setGridCapable(boolean gridCapable)`
  Sets the gridCapable property for this application.

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

  ### Methods inherited from interface com.sas.services.information.metadata.SoftwareComponentInterface

  `addDeployedComponent, addPropertyGroup, addSoftwareGroup, addSoftwareTree, getClassIdentifier, getDependentComponents, getDependsOnComponents, getDeployedComponents, getImplementedObjects, getMajor, getMinor, getPlatform, getPrivateConfigurableProperties, getProductIdentifier, getProductName, getPropertyGroups, getPublicConfigurableProperties, getSoftwareComponentAttributes, getSoftwareGroups, getSoftwareTrees, getSoftwareVersion, getSpecVendor, getSpecVersion, getVendor, getVendorIdentifier, removeDeployedComponent, removePropertyGroup, removeSoftwareGroup, removeSoftwareTree, setClassIdentifier, setDeployedComponents, setImplementedObjects, setMajor, setMinor, setPlatform, setProductIdentifier, setProductName, setPropertyGroups, setSoftwareComponentAttributes, setSoftwareGroups, setSoftwareTrees, setSoftwareVersion, setSpecVendor, setSpecVersion, setVendor, setVendorIdentifier`

- ## Method Details

  - ### getParentApplication

    ApplicationInterface getParentApplication() throws ServiceException, RemoteException
    Returns the parent application of this application or null if no parent is defined. Parent applications are associated to the application via the ImplementedObjects association.
    Returns:
      the parent application
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getActions

    Map<String,ApplicationAuthorization> getActions() throws ServiceException, RemoteException
    Returns a map of all actions defined for the application. The map is keyed by application action identifier.
    Returns:
      a map of application actions
    Throws:
      `ServiceException`
      `RemoteException`

  - ### isGridCapable

    boolean isGridCapable() throws ServiceException, RemoteException
    Returns true if application is marked as a grid capable application.
    Returns:
      true if application is marked as a grid capable application
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setGridCapable

    void setGridCapable(boolean gridCapable) throws ServiceException, RemoteException
    Sets the gridCapable property for this application.
    Parameters:
      `gridCapable` -
    Throws:
      `ServiceException`
      `RemoteException`